## nanoTest.awk
#
BEGIN {
	remove("W:/")
	remove("W:/", "root")
	remove("Z:/", "root")
	print ""

	pfx = "W:/Long"
	path50 = "---+----1----+----2----+----3----+----4----+----5"
	path100 = path50 "----+----6----+----7----+----8----+----9----+----0"
	path200 = path100 path100
	filename = "/Z" path200 path50 "_45.txt"
	path = pfx "/A" path200 filename
	print "foo" > path
	tree(pfx, "file")

	print "## コピー"
	copy("./lib.zip", "W:/")
	copy("lib.zip", "W:/T/")
	copy("./lib.zip", "W:/lib2.zip")
	copy("lib*.zip", "W:/TMP/")
	ls("W:/", "k -r")
	tree("W:/", "file")
	print ""
	print ""
	print ""
#exit(0)
	print "## 移動"
	remove("Z:/*.zip", "root")
	move("W:/lib.zip", "Z:/")
	move("W:/T/lib.zip", "Z:/T/lib.zip")
	print "# リダイレクト"
	copy("X:/", "W:/", "sync > 'Z:/cp( 1).tmp' 2>'Z:/cp(\'2).tmp' ")
	ls("Z:/*.tmp", "k")
	print "" >"Z:/timeStamp"
	copy("X:/", "W:/", "sync", "１>Z:/cp(_3).tmp 2>'Z:/cp('4).tmp' foo")

	ls("Z:/*.tmp", "k")
	move("W:/", "Z:/")
	ls("Z:/", "k -r")
	print ""
	print ""
	tree("Z:/", "file")
	copy("Z:/", "W:/")
	print "# ワイルドカードを無効化する正規表現"
	remove("Z:/^$.", "root")
	ls("Z:/", "k")
	remove("Z:/[|]", "root")
	ls("Z:/", "path k 0 ,")

	print ""
	print "\e[92mパスの表示幅を変更する\e[m"
	set()
	set("DISPLAY_WIDTH=40 MAX_PATH=15")
	set("DISPLAY_WIDTH=42")
	tree("W:/", "file")
	print ""
	print ""
	print ""
	print ""
	print ""
	print ""
}